Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.Designer.cs	(revision 7967)
@@ -280,5 +280,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.Controls.Add(this.splitContainer);
       this.Name = "RemotePluginInstallerView";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.Designer.cs	(revision 7967)
@@ -67,5 +67,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.Controls.Add(this.updateAndInstallButton);
       this.Name = "BasicUpdateView";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.Designer.cs	(revision 7967)
@@ -130,5 +130,5 @@
       this.AcceptButton = this.okButton;
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.BackColor = System.Drawing.SystemColors.HighlightText;
       this.CancelButton = this.cancelButton;
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.Designer.cs	(revision 7967)
@@ -173,5 +173,5 @@
       this.AcceptButton = this.applyButton;
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.CancelButton = this.cancelButton;
       this.ClientSize = new System.Drawing.Size(488, 183);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.Designer.cs	(revision 7967)
@@ -322,5 +322,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.Controls.Add(this.splitContainer);
       this.Name = "ProductEditor";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.Designer.cs	(revision 7967)
@@ -45,5 +45,5 @@
     private void InitializeComponent() {
       components = new System.ComponentModel.Container();
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
     }
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs	(revision 7967)
@@ -263,5 +263,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.ClientSize = new System.Drawing.Size(622, 444);
       this.Controls.Add(this.tabControl);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs	(revision 7967)
@@ -156,5 +156,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.Controls.Add(this.refreshButton);
       this.Controls.Add(this.localPluginsListView);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.Designer.cs	(revision 7967)
@@ -169,5 +169,5 @@
       this.AcceptButton = this.acceptButton;
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.BackColor = System.Drawing.SystemColors.HighlightText;
       this.CancelButton = this.rejectButton;
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.Designer.cs	(revision 7967)
@@ -62,5 +62,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.ClientSize = new System.Drawing.Size(410, 445);
       this.Controls.Add(this.richTextBox);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.Designer.cs	(revision 7967)
@@ -91,5 +91,5 @@
       this.AcceptButton = this.okButton;
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.ClientSize = new System.Drawing.Size(374, 108);
       this.Controls.Add(this.okButton);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.Designer.cs	(revision 7967)
@@ -298,5 +298,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.ClientSize = new System.Drawing.Size(687, 565);
       this.Controls.Add(this.showLicenseButton);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.Designer.cs	(revision 7259)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.Designer.cs	(revision 7967)
@@ -137,5 +137,5 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.Controls.Add(this.listView);
       this.Controls.Add(this.uploadButton);