Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 7972)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 7973)
@@ -330,4 +330,5 @@
     <Compile Include="RunCreation\EmptySolutionCreator.cs" />
     <Compile Include="RunCreation\ItemWrapper.cs" />
+    <Compile Include="RunCreation\MissingClientRegistrationException.cs" />
     <Compile Include="RunCreation\MultiObjectiveOKBProblem.cs" />
     <Compile Include="RunCreation\NamedItemWrapper.cs" />
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs	(revision 7973)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs	(revision 7973)
@@ -0,0 +1,28 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+
+namespace HeuristicLab.Clients.OKB.RunCreation {
+  public class MissingClientRegistrationException : Exception {
+    public MissingClientRegistrationException() : base("To be able to store runs, you need to register your client first.") { }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 7972)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 7973)
@@ -140,5 +140,5 @@
       if (Stored) throw new InvalidOperationException("Cannot store already stored run.");
       if (!ClientInformation.Instance.ClientExists) {
-        throw new Exception("To be able to store runs, you need to register your client first.");
+        throw new MissingClientRegistrationException();
       }
 
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBRunView.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBRunView.cs	(revision 7972)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBRunView.cs	(revision 7973)
@@ -21,4 +21,5 @@
 
 using System;
+using System.Windows.Forms;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -68,4 +69,8 @@
         Content.Store();
       }
+      catch (MissingClientRegistrationException) {
+        MessageBox.Show("You have to register your client to be able to store OKB runs." + Environment.NewLine
+          + " Please click in the menu bar on Services -> Access -> Client Information and register your client. ", "Missing client registration", MessageBoxButtons.OK, MessageBoxIcon.Information);
+      }
       catch (Exception ex) {
         ErrorHandling.ShowErrorDialog(this, "Store failed.", ex);