Index: /branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysis.cs
===================================================================
--- /branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysis.cs	(revision 8001)
+++ /branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysis.cs	(revision 8002)
@@ -150,5 +150,5 @@
       ParameterizeStochasticOperator(Problem.SolutionCreator);
       ParameterizeStochasticOperator(Problem.Evaluator);
-      foreach (IOperator op in Problem.Operators) ParameterizeStochasticOperator(op);
+      foreach (IOperator op in Problem.Operators.OfType<IOperator>()) ParameterizeStochasticOperator(op);
       ParameterizeSolutionsCreator();
       ParameterizeMainLoop();
@@ -177,5 +177,5 @@
     }
     protected override void Problem_OperatorsChanged(object sender, EventArgs e) {
-      foreach (IOperator op in Problem.Operators) ParameterizeStochasticOperator(op);
+      foreach (IOperator op in Problem.Operators.OfType<IOperator>()) ParameterizeStochasticOperator(op);
       UpdateMutators();
       UpdateSelectors();
Index: /branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedLocalAnalysis.cs
===================================================================
--- /branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedLocalAnalysis.cs	(revision 8001)
+++ /branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedLocalAnalysis.cs	(revision 8002)
@@ -185,5 +185,5 @@
       ParameterizeStochasticOperator(Problem.SolutionCreator);
       ParameterizeStochasticOperator(Problem.Evaluator);
-      foreach (IOperator op in Problem.Operators) ParameterizeStochasticOperator(op);
+      foreach (IOperator op in Problem.Operators.OfType<IOperator>()) ParameterizeStochasticOperator(op);
       ParameterizeSolutionsCreator();
       ParameterizeMainLoop();
@@ -212,5 +212,5 @@
     }
     protected override void Problem_OperatorsChanged(object sender, EventArgs e) {
-      foreach (IOperator op in Problem.Operators) ParameterizeStochasticOperator(op);
+      foreach (IOperator op in Problem.Operators.OfType<IOperator>()) ParameterizeStochasticOperator(op);
       UpdateMutators();
       UpdateSelectors();
Index: /branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/NKLandscape.cs
===================================================================
--- /branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/NKLandscape.cs	(revision 8001)
+++ /branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/NKLandscape.cs	(revision 8002)
@@ -12,6 +12,6 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.NK.WeightInitializers;
 using HeuristicLab.Random;
-using HeuristicLab.Problems.NK.WeightInitializers;
 
 namespace HeuristicLab.Problems.NK {
@@ -73,5 +73,5 @@
     public OptionalConstrainedValueParameter<IWeightsInitializer> WeightsInitializerParameter {
       get { return (OptionalConstrainedValueParameter<IWeightsInitializer>)Parameters["WeightsInitializer"]; }
-    }    
+    }
     #endregion
 
@@ -101,10 +101,10 @@
       get { return BestKnownQualityParameter.Value; }
     }
-    public IEnumerable<IOperator> Operators {
-      get { return operators.Cast<IOperator>(); }
+    public IEnumerable<IItem> Operators {
+      get { return operators; }
     }
     public IInteractionInitializer InteractionInitializer {
       get { return InteractionInitializerParameter.Value; }
-    }       
+    }
     //private BestOneMaxSolutionAnalyzer BestOneMaxSolutionAnalyzer {
     //get { return operators.OfType<BestOneMaxSolutionAnalyzer>().FirstOrDefault(); }
@@ -115,5 +115,5 @@
 
     [Storable]
-    private List<IOperator> operators;
+    private List<IItem> operators;
 
     [StorableConstructor]
@@ -121,5 +121,5 @@
     private NKLandscape(NKLandscape original, Cloner cloner)
       : base(original, cloner) {
-      operators = original.operators.Select(x => (IOperator)cloner.Clone(x)).ToList();
+      operators = original.operators.Select(x => (IItem)cloner.Clone(x)).ToList();
       AttachEventHandlers();
     }
@@ -286,5 +286,5 @@
 
     private void InitializeOperators() {
-      operators = new List<IOperator>();
+      operators = new List<IItem>();
       //operators.Add(new BestOneMaxSolutionAnalyzer());
       ParameterizeAnalyzer();
@@ -317,5 +317,5 @@
     }
 
-    private void InitializeInteractions() {     
+    private void InitializeInteractions() {
       if (InteractionInitializer != null)
         GeneInteractionsParameter.Value = InteractionInitializer.InitializeInterations(
@@ -323,5 +323,5 @@
           NrOfFitnessComponentsParameter.Value.Value,
           NrOfInteractionsParameter.Value.Value,
-          random);        
+          random);
     }
 