Index: /trunk/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.Designer.cs	(revision 8013)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.Designer.cs	(revision 8014)
@@ -95,5 +95,5 @@
       this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
       this.okButton.Enabled = false;
-      this.okButton.Location = new System.Drawing.Point(187, 359);
+      this.okButton.Location = new System.Drawing.Point(246, 377);
       this.okButton.Name = "okButton";
       this.okButton.Size = new System.Drawing.Size(75, 23);
@@ -107,5 +107,5 @@
       this.cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
-      this.cancelButton.Location = new System.Drawing.Point(268, 359);
+      this.cancelButton.Location = new System.Drawing.Point(327, 377);
       this.cancelButton.Name = "cancelButton";
       this.cancelButton.Size = new System.Drawing.Size(75, 23);
@@ -161,5 +161,5 @@
             0});
       this.repetitionsNumericUpDown.Name = "repetitionsNumericUpDown";
-      this.repetitionsNumericUpDown.Size = new System.Drawing.Size(230, 20);
+      this.repetitionsNumericUpDown.Size = new System.Drawing.Size(289, 20);
       this.repetitionsNumericUpDown.TabIndex = 3;
       this.repetitionsNumericUpDown.ThousandsSeparator = true;
@@ -242,5 +242,5 @@
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(328, 299);
+      this.tabControl.Size = new System.Drawing.Size(387, 317);
       this.tabControl.TabIndex = 4;
       // 
@@ -251,7 +251,7 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(320, 273);
+      this.parametersTabPage.Size = new System.Drawing.Size(379, 291);
       this.parametersTabPage.TabIndex = 1;
-      this.parametersTabPage.Text = "Parameters Variation";
+      this.parametersTabPage.Text = "Parameter Variations";
       this.parametersTabPage.UseVisualStyleBackColor = true;
       // 
@@ -273,6 +273,6 @@
       this.parametersSplitContainer.Panel2.Controls.Add(this.detailsTypeLabel);
       this.parametersSplitContainer.Panel2.Controls.Add(this.choicesListView);
-      this.parametersSplitContainer.Size = new System.Drawing.Size(314, 267);
-      this.parametersSplitContainer.SplitterDistance = 124;
+      this.parametersSplitContainer.Size = new System.Drawing.Size(373, 285);
+      this.parametersSplitContainer.SplitterDistance = 155;
       this.parametersSplitContainer.TabIndex = 1;
       // 
@@ -287,5 +287,5 @@
       this.parametersListView.MultiSelect = false;
       this.parametersListView.Name = "parametersListView";
-      this.parametersListView.Size = new System.Drawing.Size(124, 267);
+      this.parametersListView.Size = new System.Drawing.Size(155, 285);
       this.parametersListView.TabIndex = 0;
       this.parametersListView.UseCompatibleStateImageBehavior = false;
@@ -318,5 +318,5 @@
       this.stringConvertibleArrayView.Name = "stringConvertibleArrayView";
       this.stringConvertibleArrayView.ReadOnly = false;
-      this.stringConvertibleArrayView.Size = new System.Drawing.Size(155, 215);
+      this.stringConvertibleArrayView.Size = new System.Drawing.Size(183, 233);
       this.stringConvertibleArrayView.TabIndex = 7;
       // 
@@ -341,5 +341,5 @@
       this.choicesListView.Location = new System.Drawing.Point(16, 34);
       this.choicesListView.Name = "choicesListView";
-      this.choicesListView.Size = new System.Drawing.Size(155, 220);
+      this.choicesListView.Size = new System.Drawing.Size(183, 238);
       this.choicesListView.TabIndex = 6;
       this.choicesListView.UseCompatibleStateImageBehavior = false;
@@ -392,5 +392,5 @@
       this.experimentsToCreateDescriptionLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.experimentsToCreateDescriptionLabel.AutoSize = true;
-      this.experimentsToCreateDescriptionLabel.Location = new System.Drawing.Point(12, 364);
+      this.experimentsToCreateDescriptionLabel.Location = new System.Drawing.Point(12, 382);
       this.experimentsToCreateDescriptionLabel.Name = "experimentsToCreateDescriptionLabel";
       this.experimentsToCreateDescriptionLabel.Size = new System.Drawing.Size(56, 13);
@@ -402,5 +402,5 @@
       this.variationsLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.variationsLabel.AutoSize = true;
-      this.variationsLabel.Location = new System.Drawing.Point(74, 364);
+      this.variationsLabel.Location = new System.Drawing.Point(74, 382);
       this.variationsLabel.Name = "variationsLabel";
       this.variationsLabel.Size = new System.Drawing.Size(13, 13);
@@ -424,7 +424,7 @@
       this.experimentCreationProgressBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.experimentCreationProgressBar.Location = new System.Drawing.Point(187, 359);
+      this.experimentCreationProgressBar.Location = new System.Drawing.Point(187, 377);
       this.experimentCreationProgressBar.Name = "experimentCreationProgressBar";
-      this.experimentCreationProgressBar.Size = new System.Drawing.Size(75, 23);
+      this.experimentCreationProgressBar.Size = new System.Drawing.Size(134, 23);
       this.experimentCreationProgressBar.TabIndex = 9;
       this.experimentCreationProgressBar.Visible = false;
@@ -435,5 +435,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.CancelButton = this.cancelButton;
-      this.ClientSize = new System.Drawing.Size(355, 394);
+      this.ClientSize = new System.Drawing.Size(414, 412);
       this.Controls.Add(this.experimentCreationProgressBar);
       this.Controls.Add(this.variationsLabel);
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.cs	(revision 8013)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.cs	(revision 8014)
@@ -413,5 +413,5 @@
         variationsLabel.Visible = true;
         experimentsToCreateDescriptionLabel.Visible = true;
-        Height = 430;
+        Height = 450;
       } else {
         variationsLabel.Visible = false;
@@ -745,5 +745,7 @@
     private IEnumerable<IOptimizer> experimentCreationBackgroundWorker_CalculateParameterVariations(IOptimizer optimizer) {
       if (!boolParameters.Any() && !intParameters.Any() && !doubleParameters.Any() && !multipleChoiceParameters.Any()) {
-        yield return (IOptimizer)optimizer.Clone();
+        var o = (IOptimizer)optimizer.Clone();
+        o.Runs.Clear();
+        yield return o;
         yield break;
       }
@@ -756,4 +758,5 @@
       do {
         var variant = (IAlgorithm)optimizer.Clone();
+        variant.Runs.Clear();
         variant.Name += " {";
         finished = true;